Commerce · Commerce

List orders

Returns orders, one page at a time. Works with Shopify and WooCommerce accounts.

GEThttps://api.pozy.ai/v1/commerce/orders
Shopify and WooCommercelistCommerceOrders

Guides: Orders, Commerce & blogs, Products and catalog

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the commerce resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
accountIdrequiredstring
limitintegerDefault 201 to 100
cursorstring
createdAfterstring (date-time)
createdBeforestring (date-time)
updatedAfterstring (date-time)

Example

curl -X GET "https://api.pozy.ai/v1/commerce/orders?accountId=696e0b682d0a31188e7a2ba9&limit=20" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • ordersarray of object
    35 child fields
    • idstring
    • accountIdstring
    • platformstring

      One of shopify, woocommerce.

    • numberstring
    • statusstring

      One of pending_payment, on_hold, awaiting_fulfillment, partially_fulfilled, in_transit, delivered, completed, cancelled.

    • platformStatusstring
    • paymentStatusstring
    • platformPaymentStatusstring

      Can be null.

    • currencystring
    • taxesIncludedboolean
    • createdAtstring (date-time)
    • updatedAtstring (date-time)
    • paidAtstring (date-time)

      Can be null.

    • cancelledAtstring (date-time)

      Can be null.

    • cancelReasonstring

      Can be null.

    • subtotalobject
      2 child fields
      • amountstringrequired
      • currencystringrequired
    • discountTotalobject
      2 child fields
      • amountstringrequired
      • currencystringrequired
    • shippingTotalobject
      2 child fields
      • amountstringrequired
      • currencystringrequired
    • taxTotalobject
      2 child fields
      • amountstringrequired
      • currencystringrequired
    • totalobject
      2 child fields
      • amountstringrequired
      • currencystringrequired
    • refundedTotalobject
      2 child fields
      • amountstringrequired
      • currencystringrequired
    • discountCodesarray of string
    • paymentMethodsarray of string
    • customerobject

      Can be null.

      5 child fields
      • idstring

        Can be null.

      • emailstring

        Can be null.

      • phonestring

        Can be null.

      • firstNamestring

        Can be null.

      • lastNamestring

        Can be null.

    • billingAddressobject

      One of:

      Commerce Address (10 fields)
      • firstNamestring

        Can be null.

      • lastNamestring

        Can be null.

      • companystring

        Can be null.

      • phonestring

        Can be null.

      • line1string

        Can be null.

      • line2string

        Can be null.

      • citystring

        Can be null.

      • regionstring

        Can be null.

      • postalCodestring

        Can be null.

      • countryCodestring

        Can be null.

    • shippingAddressobject

      One of:

      Commerce Address (10 fields)
      • firstNamestring

        Can be null.

      • lastNamestring

        Can be null.

      • companystring

        Can be null.

      • phonestring

        Can be null.

      • line1string

        Can be null.

      • line2string

        Can be null.

      • citystring

        Can be null.

      • regionstring

        Can be null.

      • postalCodestring

        Can be null.

      • countryCodestring

        Can be null.

    • buyerNotestring

      Can be null.

    • attributionobject
      4 child fields
      • readyboolean
      • firstVisitobject

        One of:

        Commerce Order Visit (6 fields)
        • occurredAtstring (date-time)

          Can be null.

        • landingUrlstring

          Can be null.

        • referrerUrlstring

          Can be null.

        • sourcestring

          Can be null.

        • sourceTypestring

          Can be null.

        • utmobject

          Can be null.

          5 child fields
          • sourcestring

            Can be null.

          • mediumstring

            Can be null.

          • campaignstring

            Can be null.

          • termstring

            Can be null.

          • contentstring

            Can be null.

      • lastVisitobject

        One of:

        Commerce Order Visit (6 fields)
        • occurredAtstring (date-time)

          Can be null.

        • landingUrlstring

          Can be null.

        • referrerUrlstring

          Can be null.

        • sourcestring

          Can be null.

        • sourceTypestring

          Can be null.

        • utmobject

          Can be null.

          5 child fields
          • sourcestring

            Can be null.

          • mediumstring

            Can be null.

          • campaignstring

            Can be null.

          • termstring

            Can be null.

          • contentstring

            Can be null.

      • customAttributesarray of object
        2 child fields
        • keystring
        • valuestring
    • lineItemsarray of object
      12 child fields
      • idstring
      • productIdstring

        Can be null.

      • variantIdstring

        Can be null.

      • skustring

        Can be null.

      • titlestring
      • variantTitlestring

        Can be null.

      • quantityinteger
      • unitPriceobject
        2 child fields
        • amountstringrequired
        • currencystringrequired
      • subtotalobject
        2 child fields
        • amountstringrequired
        • currencystringrequired
      • discountTotalobject
        2 child fields
        • amountstringrequired
        • currencystringrequired
      • totalobject
        2 child fields
        • amountstringrequired
        • currencystringrequired
      • taxLinesarray of object
        3 child fields
        • titlestring
        • ratePercentnumber

          Can be null.

        • amountobject
          2 child fields
          • amountstringrequired
          • currencystringrequired
    • shippingLinesarray of object
      5 child fields
      • idstring
      • titlestring
      • amountobject
        2 child fields
        • amountstringrequired
        • currencystringrequired
      • discountTotalobject
        2 child fields
        • amountstringrequired
        • currencystringrequired
      • taxLinesarray of object
        3 child fields
        • titlestring
        • ratePercentnumber

          Can be null.

        • amountobject
          2 child fields
          • amountstringrequired
          • currencystringrequired
    • feeLinesarray of object
      5 child fields
      • idstring
      • titlestring
      • amountobject
        2 child fields
        • amountstringrequired
        • currencystringrequired
      • discountTotalobject
        2 child fields
        • amountstringrequired
        • currencystringrequired
      • taxLinesarray of object
        3 child fields
        • titlestring
        • ratePercentnumber

          Can be null.

        • amountobject
          2 child fields
          • amountstringrequired
          • currencystringrequired
    • taxLinesarray of object
      3 child fields
      • titlestring
      • ratePercentnumber

        Can be null.

      • amountobject
        2 child fields
        • amountstringrequired
        • currencystringrequired
    • refundsarray of object
      5 child fields
      • idstring
      • createdAtstring (date-time)

        Can be null.

      • notestring

        Can be null.

      • amountobject
        2 child fields
        • amountstringrequired
        • currencystringrequired
      • lineItemsarray of object
        3 child fields
        • lineItemIdstring
        • quantityinteger
        • amountobject
          2 child fields
          • amountstringrequired
          • currencystringrequired
    • fulfillmentsarray of object
      3 child fields
      • carrierNamestring

        Can be null.

      • trackingNumberstring

        Can be null.

      • trackingUrlstring

        Can be null.

    • platformDataobject

      Can be null.

  • nextCursorstring

    Can be null.

200 response
{
  "orders": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "accountId": "696e0b682d0a31188e7a2ba9",
      "platform": "shopify",
      "number": "string",
      "status": "pending_payment",
      "platformStatus": "instagram",
      "paymentStatus": "pending",
      "platformPaymentStatus": "instagram",
      "currency": "USD",
      "taxesIncluded": true,
      "createdAt": "2026-10-02T09:00:00.000Z",
      "updatedAt": "2026-10-02T09:00:00.000Z",
      "paidAt": "2026-10-02T09:00:00.000Z",
      "cancelledAt": "2026-10-02T09:00:00.000Z",
      "cancelReason": "string",
      "subtotal": {
        "amount": "string",
        "currency": "USD"
      },
      "discountTotal": {
        "amount": "string",
        "currency": "USD"
      },
      "shippingTotal": {
        "amount": "string",
        "currency": "USD"
      },
      "taxTotal": {
        "amount": "string",
        "currency": "USD"
      },
      "total": {
        "amount": "string",
        "currency": "USD"
      },
      "refundedTotal": {
        "amount": "string",
        "currency": "USD"
      },
      "discountCodes": [
        "string"
      ],
      "paymentMethods": [
        "string"
      ],
      "customer": {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "email": "alex@example.com",
        "phone": "+14155550123",
        "firstName": "Acme",
        "lastName": "Acme"
      },
      "billingAddress": {
        "firstName": "Acme",
        "lastName": "Acme",
        "company": "string",
        "phone": "+14155550123",
        "line1": "string",
        "line2": "string",
        "city": "string",
        "region": "string",
        "postalCode": "string",
        "countryCode": "US"
      },
      "shippingAddress": {
        "firstName": "Acme",
        "lastName": "Acme",
        "company": "string",
        "phone": "+14155550123",
        "line1": "string",
        "line2": "string",
        "city": "string",
        "region": "string",
        "postalCode": "string",
        "countryCode": "US"
      },
      "buyerNote": "string",
      "attribution": {
        "ready": true,
        "firstVisit": {
          "occurredAt": "2026-10-02T09:00:00.000Z",
          "landingUrl": "https://pozy.ai/media/example-1.jpg",
          "referrerUrl": "https://pozy.ai/media/example-1.jpg",
          "source": "string",
          "sourceType": "string",
          "utm": {
            "source": "string",
            "medium": "string",
            "campaign": "string",
            "term": "string",
            "content": "Hello from Pozy"
          }
        },
        "lastVisit": {
          "occurredAt": "2026-10-02T09:00:00.000Z",
          "landingUrl": "https://pozy.ai/media/example-1.jpg",
          "referrerUrl": "https://pozy.ai/media/example-1.jpg",
          "source": "string",
          "sourceType": "string",
          "utm": {
            "source": "string",
            "medium": "string",
            "campaign": "string",
            "term": "string",
            "content": "Hello from Pozy"
          }
        },
        "customAttributes": [
          {
            "key": "string",
            "value": "string"
          }
        ]
      },
      "lineItems": [
        {
          "id": "6bfebd43ddc270f6d2c56fc5",
          "productId": "659773d34b353e6821202f21",
          "variantId": "64058b146247283881d19961",
          "sku": "string",
          "title": "Launch day",
          "variantTitle": "string",
          "quantity": 1,
          "unitPrice": {
            "amount": "string",
            "currency": "USD"
          },
          "subtotal": {
            "amount": "string",
            "currency": "USD"
          },
          "discountTotal": {
            "amount": "string",
            "currency": "USD"
          },
          "total": {
            "amount": "string",
            "currency": "USD"
          },
          "taxLines": [
            {
              "title": "Launch day",
              "ratePercent": 12.5,
              "amount": {
                "amount": "string",
                "currency": "USD"
              }
            }
          ]
        }
      ],
      "shippingLines": [
        {
          "id": "6bfebd43ddc270f6d2c56fc5",
          "title": "Launch day",
          "amount": {
            "amount": "string",
            "currency": "USD"
          },
          "discountTotal": {
            "amount": "string",
            "currency": "USD"
          },
          "taxLines": [
            {
              "title": "Launch day",
              "ratePercent": 12.5,
              "amount": {
                "amount": "string",
                "currency": "USD"
              }
            }
          ]
        }
      ],
      "feeLines": [
        {
          "id": "6bfebd43ddc270f6d2c56fc5",
          "title": "Launch day",
          "amount": {
            "amount": "string",
            "currency": "USD"
          },
          "discountTotal": {
            "amount": "string",
            "currency": "USD"
          },
          "taxLines": [
            {
              "title": "Launch day",
              "ratePercent": 12.5,
              "amount": {
                "amount": "string",
                "currency": "USD"
              }
            }
          ]
        }
      ],
      "taxLines": [
        {
          "title": "Launch day",
          "ratePercent": 12.5,
          "amount": {
            "amount": "string",
            "currency": "USD"
          }
        }
      ],
      "refunds": [
        {
          "id": "6bfebd43ddc270f6d2c56fc5",
          "createdAt": "2026-10-02T09:00:00.000Z",
          "note": "string",
          "amount": {
            "amount": "string",
            "currency": "USD"
          },
          "lineItems": [
            {
              "lineItemId": "681b8812378e080e232ba5be",
              "quantity": 1,
              "amount": {
                "amount": "string",
                "currency": "USD"
              }
            }
          ]
        }
      ],
      "fulfillments": [
        {
          "carrierName": "Acme",
          "trackingNumber": "string",
          "trackingUrl": "https://pozy.ai/media/example-1.jpg"
        }
      ],
      "platformData": {}
    }
  ],
  "nextCursor": "string"
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Commerce

GETGet a storeGETGet an orderGETList productsPOSTCreate a productPOSTActivate, deactivate, archive or delete productsGETGet a productPATCHUpdate a productPOSTUpdate variant pricesGETList collectionsPOSTCreate a collectionGETGet a collectionPATCHUpdate a collectionDELDelete a collectionPOSTAdd or remove products in a collectionPOSTAdd variantsDELDelete variantsPOSTAdd optionsDELDelete optionsPOSTAdd imagesDELRemove imagesPOSTReorder imagesPOSTDuplicate a productGETList product metafieldsPUTSet product metafieldsDELDelete product metafieldsPOSTPublish or unpublish a productGETList collection metafieldsPUTSet collection metafieldsDELDelete collection metafieldsPOSTPublish or unpublish a collectionPOSTAdd or remove tags in bulkPOSTReorder products in a collectionGETList pagesPOSTCreate a pageGETGet a pagePATCHUpdate a pageDELDelete a pageGETList locationsGETGet a product's stockPOSTSet or adjust stockGETList sales channelsGETList discountsPOSTCreate a discountGETGet a discountPATCHUpdate a discountDELDelete a discountPOSTActivate or deactivate a discountPOSTAdd codes to a discountGETList URL redirectsPOSTCreate a URL redirectPATCHUpdate a URL redirectDELDelete a URL redirectGETList navigation menusPOSTCreate a navigation menuGETGet a navigation menuPUTReplace a navigation menuDELDelete a navigation menuGETList metaobject definitionsGETList metaobjects of a typePOSTCreate a metaobjectGETGet a metaobjectPATCHUpdate a metaobjectDELDelete a metaobjectGETList marketsGETList price listsPUTSet fixed pricesDELRemove fixed pricesPUTRecord a marketing activityDELDelete a marketing activityPOSTReport daily engagementGETList catalog syncsPOSTSync a store into a Meta catalogGETGet a catalog syncDELStop a catalog syncPOSTRun a catalog sync now